package com.alihealth.d2d.provtest.enums;

/**
 * @ClassName BuzStatusEnum
 * @Desc 回执给协同的
 * @Author houduo.wk
 * @Date 2020/2/14
 **/
public enum BuzStatusEnum {
    SUCCESS(0,"执行成功"),
    PARAM_NULL_ERR(1001,"缺少必填参数"),
    SIGN_CHECK_ERR(1002,"签名认证失败"),
    DATA_PARSE_ERR(1003,"数据解析错误"),
    NO_ACCESS_AUTH_ERR(1004,"无接口访问权限"),
    SYS_ERR(999,"系统开小差，请稍后重试");

    int buzStatus;
    String buzMessage;

    public int getBuzStatus() {
        return buzStatus;
    }

    public void setBuzStatus(int buzStatus) {
        this.buzStatus = buzStatus;
    }

    public String getBuzMessage() {
        return buzMessage;
    }

    public void setBuzMessage(String buzMessage) {
        this.buzMessage = buzMessage;
    }

    BuzStatusEnum(int buzStatus, String buzMessage) {
        this.buzStatus = buzStatus;
        this.buzMessage = buzMessage;
    }
}
